# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'src/faber_bench/init.ui'
#
# Created by: PyQt5 UI code generator 5.15.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_init(object):
    def setupUi(self, init):
        init.setObjectName("init")
        init.resize(710, 278)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(init.sizePolicy().hasHeightForWidth())
        init.setSizePolicy(sizePolicy)
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap(":/images/logo_small.ico"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        init.setWindowIcon(icon)
        self.gridLayout = QtWidgets.QGridLayout(init)
        self.gridLayout.setObjectName("gridLayout")
        self.grid = QtWidgets.QGridLayout()
        self.grid.setObjectName("grid")
        self.logo = QtWidgets.QLabel(init)
        self.logo.setMinimumSize(QtCore.QSize(203, 64))
        self.logo.setMaximumSize(QtCore.QSize(203, 64))
        self.logo.setBaseSize(QtCore.QSize(0, 0))
        self.logo.setText("")
        self.logo.setPixmap(QtGui.QPixmap(":/images/logo.svg"))
        self.logo.setScaledContents(True)
        self.logo.setObjectName("logo")
        self.grid.addWidget(self.logo, 0, 0, 1, 2)
        self.srcdir_label = QtWidgets.QLabel(init)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.srcdir_label.setFont(font)
        self.srcdir_label.setObjectName("srcdir_label")
        self.grid.addWidget(self.srcdir_label, 1, 0, 1, 1)
        self.srcdir_value = QtWidgets.QComboBox(init)
        self.srcdir_value.setEditable(True)
        self.srcdir_value.setObjectName("srcdir_value")
        self.grid.addWidget(self.srcdir_value, 1, 1, 1, 2)
        self.browse_srcdir = QtWidgets.QPushButton(init)
        self.browse_srcdir.setObjectName("browse_srcdir")
        self.grid.addWidget(self.browse_srcdir, 1, 3, 1, 1)
        self.builddir_label = QtWidgets.QLabel(init)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.builddir_label.setFont(font)
        self.builddir_label.setObjectName("builddir_label")
        self.grid.addWidget(self.builddir_label, 2, 0, 1, 1)
        self.builddir_value = QtWidgets.QComboBox(init)
        self.builddir_value.setEditable(True)
        self.builddir_value.setObjectName("builddir_value")
        self.grid.addWidget(self.builddir_value, 2, 1, 1, 2)
        self.browse_builddir = QtWidgets.QPushButton(init)
        self.browse_builddir.setObjectName("browse_builddir")
        self.grid.addWidget(self.browse_builddir, 2, 3, 1, 1)
        self.enable_parameters = QtWidgets.QCheckBox(init)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.enable_parameters.setFont(font)
        self.enable_parameters.setChecked(False)
        self.enable_parameters.setObjectName("enable_parameters")
        self.grid.addWidget(self.enable_parameters, 3, 0, 1, 1, QtCore.Qt.AlignTop)
        self.parameters = FeatureTable(init)
        self.parameters.setVisible(False)
        self.parameters.setProperty("columnCount", 2)
        self.parameters.setObjectName("parameters")
        self.grid.addWidget(self.parameters, 3, 1, 1, 2)
        self.parameter_buttons = QtWidgets.QHBoxLayout()
        self.parameter_buttons.setSizeConstraint(QtWidgets.QLayout.SetMinimumSize)
        self.parameter_buttons.setObjectName("parameter_buttons")
        self.add_parameter = QtWidgets.QPushButton(init)
        self.add_parameter.setVisible(False)
        self.add_parameter.setText("")
        icon1 = QtGui.QIcon()
        icon1.addPixmap(QtGui.QPixmap(":/images/plus.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.add_parameter.setIcon(icon1)
        self.add_parameter.setObjectName("add_parameter")
        self.parameter_buttons.addWidget(self.add_parameter, 0, QtCore.Qt.AlignTop)
        self.remove_parameter = QtWidgets.QPushButton(init)
        self.remove_parameter.setVisible(False)
        self.remove_parameter.setText("")
        icon2 = QtGui.QIcon()
        icon2.addPixmap(QtGui.QPixmap(":/images/minus.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.remove_parameter.setIcon(icon2)
        self.remove_parameter.setObjectName("remove_parameter")
        self.parameter_buttons.addWidget(self.remove_parameter, 0, QtCore.Qt.AlignTop)
        self.grid.addLayout(self.parameter_buttons, 3, 3, 1, 1)
        self.enable_options = QtWidgets.QCheckBox(init)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.enable_options.setFont(font)
        self.enable_options.setChecked(False)
        self.enable_options.setObjectName("enable_options")
        self.grid.addWidget(self.enable_options, 4, 0, 1, 1, QtCore.Qt.AlignTop)
        self.options = FeatureTable(init)
        self.options.setVisible(False)
        self.options.setProperty("columnCount", 2)
        self.options.setObjectName("options")
        self.grid.addWidget(self.options, 4, 1, 1, 2)
        self.options_buttons = QtWidgets.QHBoxLayout()
        self.options_buttons.setSizeConstraint(QtWidgets.QLayout.SetMinimumSize)
        self.options_buttons.setObjectName("options_buttons")
        self.add_option = QtWidgets.QPushButton(init)
        self.add_option.setVisible(False)
        self.add_option.setText("")
        self.add_option.setIcon(icon1)
        self.add_option.setObjectName("add_option")
        self.options_buttons.addWidget(self.add_option, 0, QtCore.Qt.AlignTop)
        self.remove_option = QtWidgets.QPushButton(init)
        self.remove_option.setVisible(False)
        self.remove_option.setText("")
        self.remove_option.setIcon(icon2)
        self.remove_option.setObjectName("remove_option")
        self.options_buttons.addWidget(self.remove_option, 0, QtCore.Qt.AlignTop)
        self.grid.addLayout(self.options_buttons, 4, 3, 1, 1)
        self.run = QtWidgets.QPushButton(init)
        self.run.setEnabled(False)
        self.run.setObjectName("run")
        self.grid.addWidget(self.run, 5, 3, 1, 1)
        self.cancel = QtWidgets.QPushButton(init)
        self.cancel.setObjectName("cancel")
        self.grid.addWidget(self.cancel, 5, 2, 1, 1)
        self.gridLayout.addLayout(self.grid, 2, 0, 1, 1)

        self.retranslateUi(init)
        QtCore.QMetaObject.connectSlotsByName(init)
        init.setTabOrder(self.srcdir_value, self.browse_srcdir)
        init.setTabOrder(self.browse_srcdir, self.builddir_value)
        init.setTabOrder(self.builddir_value, self.browse_builddir)
        init.setTabOrder(self.browse_builddir, self.parameters)
        init.setTabOrder(self.parameters, self.add_parameter)
        init.setTabOrder(self.add_parameter, self.remove_parameter)
        init.setTabOrder(self.remove_parameter, self.cancel)
        init.setTabOrder(self.cancel, self.run)

    def retranslateUi(self, init):
        _translate = QtCore.QCoreApplication.translate
        init.setWindowTitle(_translate("init", "Faber Bench"))
        self.srcdir_label.setText(_translate("init", "source directory :"))
        self.browse_srcdir.setText(_translate("init", "Browse..."))
        self.builddir_label.setText(_translate("init", "build directory :"))
        self.browse_builddir.setText(_translate("init", "Browse..."))
        self.enable_parameters.setText(_translate("init", "parameters :"))
        self.enable_options.setText(_translate("init", "options :"))
        self.run.setText(_translate("init", "Start"))
        self.cancel.setText(_translate("init", "Cancel"))

from .widgets import DictTable as FeatureTable
from . import resource_rc
